ZABBIX Forums  

Go Back   ZABBIX Forums > Zabbix in Your Language > En français

Reply
 
Thread Tools Display Modes
  #11  
Old 13-11-2017, 17:04
Romain69 Romain69 is offline
Member
 
Join Date: Jan 2017
Posts: 33
Default

Quote:
Originally Posted by tiramiseb View Post
Peux-tu confirmer que tu utilises RedHat Enterprise Linux 7 ou CentOS 7 ?
malheureusement pas en version 7 donc je ne sais pas vraiement si le problème viens de la mais le presta gérant le serveur met ça comme version:
Code:
cat /proc/version
Linux version 2.6.32-504.el6.x86_64 (mockbuild@c6b9.bsys.dev.centos.org) (gcc version 4.4.7 20120313 (Red Hat 4.4.7-11) (GCC) ) #1 SMP Wed Oct 15 04:27:16 UTC 2014
Reply With Quote
  #12  
Old 13-11-2017, 17:08
tiramiseb tiramiseb is offline
Senior Member
 
Join Date: Sep 2012
Location: Colmar, Alsace, France
Posts: 420
Default

Bien sûr que le problème vient de là. Tu es en train de suivre une documentation pour RedHat 7 sur une RedHat 6. Ça n'a aucune chance de fonctionner.

Tiens d'ailleurs pourquoi aller chercher une documentation au fin fond d'Internet ? Pourquoi ne pas utiliser la documentation officielle ?

https://www.zabbix.com/documentation...y_installation
https://www.zabbix.com/documentation...t_installation
__________________
Traducteur principal de Zabbix en français ces derniers temps - Blog personnel - Boutique de domotique "DIY"
Reply With Quote
  #13  
Old 13-11-2017, 17:11
Romain69 Romain69 is offline
Member
 
Join Date: Jan 2017
Posts: 33
Default

J'avais trouvé aussi mais c'étais une des procédure que j'avais test.
Donc pour toi je ne peux pas mettre d'agent Zabbix pour 3.2 depuis un RedHat 4.4.7-11 ?
Le truc c'est qu'on a déjà des serveur sous le même OS et version qui fonctionne car ils ont été installé avant en version 2.4

Last edited by Romain69; 13-11-2017 at 17:16.
Reply With Quote
  #14  
Old 13-11-2017, 17:20
tiramiseb tiramiseb is offline
Senior Member
 
Join Date: Sep 2012
Location: Colmar, Alsace, France
Posts: 420
Default

Quote:
Originally Posted by Romain69 View Post
J'avais trouvé aussi mais c'étais une des procédure que j'avais test.
Donc pour toi je ne peux pas mettre d'agent Zabbix pour 3.2 depuis un RedHat 4.4.7-11 ?

Tu n'as pas une RedHat 4.4.7-11. Tu as une RedHat Enterprise Linux 6, avec un noyau Linux en version 2.6.32, compilé par GCC en version 4.4.7-11.


Il faut juste adapter les commandes que tu as trouvées (faites pour la version 7 et identiques à ce qu'il y a dans la documentation officielle) à la version 6.


Code:
rpm -ivh http://repo.zabbix.com/zabbix/3.2/rhel/6/x86_64/zabbix-release-3.2-1.el6.noarch.rpm
yum install zabbix-agent
Ceci est entièrement logique et simple. Si tu n'arrives pas à avoir ce raisonnement seul, je te conseille de suivre des formations sur Linux.
__________________
Traducteur principal de Zabbix en français ces derniers temps - Blog personnel - Boutique de domotique "DIY"
Reply With Quote
  #15  
Old 13-11-2017, 17:32
Romain69 Romain69 is offline
Member
 
Join Date: Jan 2017
Posts: 33
Default

Pas de problème je devrais pouvoir adapter les commandes suite à tes conseils.

ps: si seulement je pouvais avoir des formation linux dans ma boite ça serait bien
ps2: désolé je suis plus windows à la base mais on demande de faire des actions sur des machines que je ne contrôle pas sans formation je fais avec ce que j'ai.

Encore merci pour ton aide.
Reply With Quote
  #16  
Old 13-11-2017, 17:34
tiramiseb tiramiseb is offline
Senior Member
 
Join Date: Sep 2012
Location: Colmar, Alsace, France
Posts: 420
Default

Quote:
Originally Posted by Romain69 View Post
Pas de problème je devrais pouvoir adapter les commandes suite à tes conseils.
Je l'ai déjà fait pour toi.

Quote:
Originally Posted by Romain69 View Post
ps: si seulement je pouvais avoir des formation linux dans ma boite ça serait bien
Il y a des livres qui permettent de se former tout seul, aussi. Pour ma part, aucune de mes connaissances professionnelles ne m'a été "servie" par un prof, que ce soit dans une école ou dans une formation. Être auto-didacte, ça a beaucoup de valeur.
__________________
Traducteur principal de Zabbix en français ces derniers temps - Blog personnel - Boutique de domotique "DIY"
Reply With Quote
  #17  
Old 13-11-2017, 17:39
Romain69 Romain69 is offline
Member
 
Join Date: Jan 2017
Posts: 33
Default

Quote:
Originally Posted by tiramiseb View Post
Je l'ai déjà fait pour toi.



Il y a des livres qui permettent de se former tout seul, aussi. Pour ma part, aucune de mes connaissances professionnelles ne m'a été "servie" par un prof, que ce soit dans une école ou dans une formation. Être auto-didacte, ça a beaucoup de valeur.
Pardon j'avais pas vu tes lignes de code.

j'arrive toujours sur:
Code:
yum install zabbix-agent
Modules complémentaires chargés*: fastestmirror
Configuration du processus d'installation
Loading mirror speeds from cached hostfile
 * base: centos.quelquesmots.fr
 * extras: centos.quelquesmots.fr
 * updates: centos.crazyfrogs.org
Résolution des dépendances
--> Lancement de la transaction de test
---> Package zabbix-agent.x86_64 0:3.2.3-1.el6 will be mis à jour
---> Package zabbix-agent.x86_64 0:3.2.10-2.el7 will be an update
--> Traitement de la dépendance*: libc.so.6(GLIBC_2.17)(64bit) pour le paquet*: zabbix-agent-3.2.10-2.el7.x86_64
--> Traitement de la dépendance*: systemd pour le paquet*: zabbix-agent-3.2.10-2.el7.x86_64
--> Traitement de la dépendance*: systemd pour le paquet*: zabbix-agent-3.2.10-2.el7.x86_64
--> Résolution des dépendances terminée
Erreur*: Paquet*: zabbix-agent-3.2.10-2.el7.x86_64 (zabbix)
             Requiert*: libc.so.6(GLIBC_2.17)(64bit)
Erreur*: Paquet*: zabbix-agent-3.2.10-2.el7.x86_64 (zabbix)
             Requiert*: systemd
 Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
 Vous pouvez essayer d'exécuter*: rpm -Va --nofiles --nodigest
je vais check pour regarder pour installer ces libs.

Merci encore.
Reply With Quote
  #18  
Old 13-11-2017, 17:42
tiramiseb tiramiseb is offline
Senior Member
 
Join Date: Sep 2012
Location: Colmar, Alsace, France
Posts: 420
Default

Quote:
Originally Posted by Romain69 View Post
je vais check pour regarder pour installer ces libs.

NON, surtout pas. Ce sont des versions de libs pour RHEL7. Il ne FAUT PAS installer ces libs.

Il faut surtout que tu désinstalles le paquet zabbix-release-3.2-1.el7.noarch, car c'est à cause de lui que, même en ayant installé son équivalent pour el6, yum veut installer la version la plus récente.
__________________
Traducteur principal de Zabbix en français ces derniers temps - Blog personnel - Boutique de domotique "DIY"
Reply With Quote
  #19  
Old 14-11-2017, 12:53
Romain69 Romain69 is offline
Member
 
Join Date: Jan 2017
Posts: 33
Default

Même après une désinstallation j'ai toujours la même erreur.
J'ai effectué cet action

Code:
 yum remove zabbix-release-3.2-1.el7.noarch
Modules complémentaires chargés*: fastestmirror
Configuration du processus de suppression
Résolution des dépendances
--> Lancement de la transaction de test
---> Package zabbix-release.noarch 0:3.2-1.el7 will be effacé
--> Résolution des dépendances terminée

Dépendances résolues

================================================================================
 Paquet                Architecture  Version             Dépôt            Taille
================================================================================
Suppression:
 zabbix-release        noarch        3.2-1.el7           installed         21 k

Résumé de la transaction
================================================================================
Suppression de     1 paquet(s)

Taille d'installation*: 21 k
Est-ce correct [o/N]*: o
Téléchargement des paquets*:
Lancement de rpm_check_debug
Lancement de la transaction de test
Transaction de test réussie
Lancement de la transaction
Avertissement : RPMDB a été modifiée par une autre application que yum.
  Suppression   : zabbix-release-3.2-1.el7.noarch                           1/1
  Verifying     : zabbix-release-3.2-1.el7.noarch                           1/1

Supprimé:
  zabbix-release.noarch 0:3.2-1.el7

Terminé*!
Je me trompe quelque part?
Reply With Quote
  #20  
Old 14-11-2017, 12:56
tiramiseb tiramiseb is offline
Senior Member
 
Join Date: Sep 2012
Location: Colmar, Alsace, France
Posts: 420
Default

Il semble que tu as fait la bonne action. Et si tu réessaies d'installer zabbix-agent ensuite, ça ne fonctionne toujours pas ? Ça dit quoi ?

(PS: s'il te plait, donne tout de suite toutes les informations, c'est fatigant de devoir tirer les vers du nez des gens qu'on aide bénévolement - si tu en donnes trop, tant pis, mieux vaut trop que pas assez)
__________________
Traducteur principal de Zabbix en français ces derniers temps - Blog personnel - Boutique de domotique "DIY"
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 00:43.